> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/guides/mobile-emv/ios-framework/set-ios-framework.md).

# Set iOS framework

To set up the iOS framework for your Objective-C app:

{% stepper %}
{% step %}
Import the iOS framework header into your code.

```objective-c
#import <ClearentIdtechIOSFramework/ClearentIdtechIOSFramework.h>
```

{% endstep %}

{% step %}
Add the `Clearent_Public_IDTech_VP3300_Delegate` interface to your code.

```objective-c
@interface ViewController : UIViewController<UIAlertViewDelegate,Clearent_Public_IDTech_VP3300_Delegate, UIActionSheetDelegate,MFMailComposeViewControllerDelegate>
```

{% endstep %}

{% step %}
Add the `ClearentManualEntryDelegate` interface as a backup if the card reader fails to read the card.

```objective-c
@interface ViewController : UIViewController<UIAlertViewDelegate,Clearent_Public_IDTech_VP3300_Delegate, UIActionSheetDelegate,MFMailComposeViewControllerDelegate>,ClearentManualEntryDelegate
```

{% endstep %}

{% step %}
Add the `successTransactionToken` method to get a JSON Web Token (JWT) that represents the credit card and the current transaction request.

```objective-c
- (void)successTransactionToken:(ClearentTransactionToken *)clearentTransactionToken;
```

The iOS Framework calls the `successTransactionToken` method when tokenization is successful after reading the card data, either by swiping or inserting the card with an EMV chip. You can submit this token to the mobile payment gateway to process the payment.
{% endstep %}

{% step %}
Add the `clearentFeedback` method to return messages that guide customers during their interaction with the card reader.

```objective-c
- (void)feedback:(ClearentFeedback *)clearentFeedback;
```

{% endstep %}

{% step %}
Add the `deviceConnected` method to check if the card reader is connected to your iOS app.

```objective-c
-(void) deviceConnected;
```

{% endstep %}

{% step %}
Add the `deviceDisconnected` method to check if the card reader is disconnected from your iOS app.

```objective-c
-(void) deviceDisconnected;
```

{% endstep %}

{% step %}
Add the following framework objects to interact with the card reader.

```objective-c
Clearent_VP3300 *clearentVP3300;
ClearentManualEntry *clearentManualEntry;
```

{% endstep %}
{% endstepper %}

{% hint style="info" %}
Visit the [demo](https://github.com/clearent/IDTech_VP3300_Objc_Demo) site to explore code samples.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xplorpay.com/guides/mobile-emv/ios-framework/set-ios-framework.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
